import { boot } from "quasar/wrappers";
import {
  // create naive ui
  create,
  NAvatar,
  // component
  NButton,
  NCard,
  NConfigProvider,
  NDataTable,
  NDatePicker,
  NFlex,
  NGrid,
  NGridItem,
  NImage,
  NInput,
  NInputNumber,
  NMenu,
  NMessageProvider,
  NModal,
  NPagination,
  NPopover,
  NSelect,
  NSkeleton,
  NSpin,
  NUpload,
  NUploadDragger,
} from "naive-ui";

export default boot(({ app }) => {
  const naive = create({
    components: [
      NButton,
      NInput,
      NInputNumber,
      NSelect,
      NSpin,
      NMessageProvider,
      NPopover,
      NUpload,
      NUploadDragger,
      NModal,
      NCard,
      NGrid,
      NGridItem,
      NDatePicker,
      NConfigProvider,
      NMenu,
      NAvatar,
      NDataTable,
      NPagination,
      NImage,
      NSkeleton
    ],
  });
  app.use(naive);
});
